{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
{% endblock %}

{% block body %}
    {% include 'components/header.html.twig' %}
    {% include 'components/nav.html.twig' %}
    
    <div class="container-fluid">
        <div class="wrapper">
            <ul class="bg-bubbles">
                <li></li>
                <li></li>
                <li></li>
                <li></li>
                <li></li>
                <li></li>
                <li></li>
                <li></li>
                <li></li>
                <li></li>
            </ul>
        </div>
        {% if recommended %}
            <h2 class="movies-title">Recommandés pour moi</h2>
            <div class="row ml-3">
                {% include 'components/movie-list.html.twig' with {'movies' : recommended} %}
            </div>
        {% endif %}

        {% if movies %}
            <h2 class="movies-title">Voir aussi</h2>
            <div class="row ml-3" id="row-films-list">
                {{ include('components/movie-list.html.twig') }}
            </div>
        {% endif %}
    </div>
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    <script>
        jQuery(document).ready(()=>{
            var url = window.history;
            var page = 2;
            var nextContentReady = true;
            window.__isFetching = false;
            window.__offset = 0;
            window.__hasMoreData = true;

            $(window).on("scroll", function() {
                var scroll = $(this).scrollTop() + 800;
                if ($(document).height() - $(this).height() <= scroll) {
                    if (nextContentReady) {
                        getmoredata()
                        nextContentReady = false;
                    }
                }
            });

            function getmoredata() {
                url.pushState({page}, '?page='.page);
                let customUrl = '{{ path('app_loadmore', {'page': 'PAGE'}) }}';
                customUrl = customUrl.replace('PAGE', page);
                jQuery.ajax({
                    type: 'GET',
                    url: customUrl,
                    success: function (response) {
                        jQuery('#row-films-list').append(response.html);
                        url.replaceState({page}, '?page='+page);
                        page++
                        nextContentReady = true
                    },
                    error: function (response) {
                    }
                });
            }
        });
    </script>
{% endblock %}